.c-pagination {
  $pf: &;

  display: flex;
  justify-content: center;
  padding: 3rem 2rem 7rem;

  @include md {
    padding: 5rem 2rem 10rem;
  }

  &__content {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0 2rem;

    &__control {
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: center;
      width: 4rem;
      height: 4rem;
      border: 0;
      border-radius: 50%;
      color: $blue;
      font-size: 1.6rem;
      cursor: pointer;
      transition: all 0.8s $ease-out-expo;

      @include md {
        width: 6rem;
        height: 6rem;
      }

      &--prev {
        @include md {
          &:hover {
            transform: translateX(-0.5rem);
          }
        }
      }

      &--next {
        @include md {
          &:hover {
            transform: translateX(0.5rem);
          }
        }
      }
    }

    &__pages {
      display: flex;
      flex-direction: row;
      align-items: center;
      gap: 1rem;

      @include md {
        gap: 1rem;
      }

      &__item {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
        width: 3rem;
        height: 3rem;
        border: 0.1rem solid $blue;
        border-radius: 50%;
        background-color: transparent;
        color: $blue;
        text-decoration: none;
        cursor: pointer;
        transition: all 0.2s ease-in-out;

        @include md {
          width: 4rem;
          height: 4rem;

          &:hover {
            background-color: rgba($blue, 0.1);
          }
        }

        &--active {
          background-color: $blue;
          color: $white;
        }
      }
    }
  }
}